%define pkgname ndesk-dbus-1.0

Summary: Managed D-Bus implementation
Name: ndesk-dbus
Version: 0.6.1a
Release: %mkrel 19
Source0: https://www.ndesk.org/archive/dbus-sharp/%{name}-%{version}.tar.gz
License: MIT
Group: System/Libraries
Url: https://www.ndesk.org/DBusSharp
BuildRequires: pkgconfig(mono)
BuildArch: noarch

%description
dbus-sharp is a C# implementation of D-Bus. It's often referred to as
"managed D-Bus" to avoid confusion with existing bindings (which wrap
libdbus).

D-Bus is an inter-process communication framework that lets
applications interface with the system event bus as well as allowing
them to talk to one another in a peer-to-peer configuration.

%package devel
Summary: Development files for %name
Group: Development/Other
Requires: %name = %version-%release

%description devel
dbus-sharp is a C# implementation of D-Bus. It's often referred to as
"managed D-Bus" to avoid confusion with existing bindings (which wrap
libdbus).

D-Bus is an inter-process communication framework that lets
applications interface with the system event bus as well as allowing
them to talk to one another in a peer-to-peer configuration.

%prep
%setup -q

sed -i "s#gmcs#mcs#g" configure
sed -i "s#gmcs#mcs#g" configure.ac

%build
# to recognize aarch64
autoreconf -vfi

./configure --prefix=%_prefix
%make_build

%install
%make_install pkgconfigdir=%_datadir/pkgconfig

%files
%doc README COPYING
%_prefix/lib/mono/%pkgname
%_prefix/lib/mono/gac/NDesk.DBus/

%files devel
%doc examples
%_datadir/pkgconfig/%pkgname.pc




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.6.1a-19.mga10
+ Revision: 2213448
- Mageia 10 Mass Rebuild
+ danf <danf>
- Update links to https:

* Fri Apr 01 2022 umeabot <umeabot> 0.6.1a-18.mga9
+ Revision: 1838495
- Mageia 9 Mass Rebuild

* Mon Sep 21 2020 tv <tv> 0.6.1a-17.mga8
+ Revision: 1629223
- rebuild mono fixed mono for proper mono provides & requires...

* Mon Sep 21 2020 tv <tv> 0.6.1a-16.mga8
+ Revision: 1629063
- rebuild for new mono

* Wed Feb 12 2020 umeabot <umeabot> 0.6.1a-15.mga8
+ Revision: 1492184
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.6.1a-14.mga7
+ Revision: 1264659
- Mageia 7 Mass Rebuild
- Mageia 6 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Fri Dec 04 2015 neoclust <neoclust> 0.6.1a-12.mga6
+ Revision: 908066
- Rebuild against mono4

* Wed Oct 15 2014 umeabot <umeabot> 0.6.1a-11.mga5
+ Revision: 749144
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.1a-10.mga5
+ Revision: 682819
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.6.1a-9.mga4
+ Revision: 508205
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 03 2011 ennael <ennael> 0.6.1a-7.mga1
+ Revision: 63613
- imported package ndesk-dbus


* Fri Oct 08 2010 Funda Wang <fwang@mandriva.org> 0.6.1a-7mdv2011.0
+ Revision: 584163
- rebuild

* Mon Aug 09 2010 Götz Waschk <waschk@mandriva.org> 0.6.1a-6mdv2011.0
+ Revision: 567916
- split out devel package

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0.6.1a-5mdv2010.1
+ Revision: 523409
- rebuilt for 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.6.1a-4mdv2010.0
+ Revision: 426247
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.6.1a-3mdv2009.1
+ Revision: 351629
- rebuild

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 0.6.1a-2mdv2009.0
+ Revision: 265197
- rebuild early 2009.0 package (before pixel changes)

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 0.6.1a-1mdv2009.0
+ Revision: 192442
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Oct 21 2007 Götz Waschk <waschk@mandriva.org> 0.6.0-1mdv2008.1
+ Revision: 101052
- new version
- fix build

* Mon Aug 06 2007 Götz Waschk <waschk@mandriva.org> 0.5.2-2mdv2008.0
+ Revision: 59367
- remove file conflicting with native dbus

* Mon Aug 06 2007 Götz Waschk <waschk@mandriva.org> 0.5.2-1mdv2008.0
+ Revision: 59362
- Import ndesk-dbus



* Mon Aug  6 2007 Götz Waschk <waschk@mandriva.org> 0.5.2-1mdv2008.0
- initial package
